# Version 1

## Cambodia ID, Japan Driving License, Japan Residence Card

<mark style="color:green;">`POST`</mark> `https://okayiddemo.innov8tif.com/okayid/api/innov-ocr/v1`

#### Request Body

| Name        | Type   | Description                                                                                                                      |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------- |
| apiKey      | string | To be assigned by Innov8tif                                                                                                      |
| imageBase64 | string | Image in base64 encoded string                                                                                                   |
| imageFile   | object | <p>Image file.<br>(If both imageBase64 and imageFile are provided, imageBase64 will be used.)</p>                                |
| docType     | string | <p>Document type:<br>          cambodia\_id,<br>          japan\_drivinglicense,<br>          japan\_residencecard<br>      </p> |

{% tabs %}
{% tab title="200 Cambodia ID's response" %}

```
{
    "status": "success",
    "listFieldMaps": [
        {
            "fieldType": "pob",
            "fieldValue": "- ឃុំពេជសារ ស្រុកកោះអណ្តែត តាកែវ"
        },
        {
            "fieldType": "gender",
            "fieldValue": "empty"
        },
        {
            "fieldType": "address2",
            "fieldValue": "Sឃុំពេជសារ ស្រុកកោះអណ្តែត តាកែវ"
        },
        {
            "fieldType": "dob",
            "fieldValue": "empty"
        },
        {
            "fieldType": "address1",
            "fieldValue": "ភូមិព្រៃធំ"
        },
        {
            "fieldType": "name",
            "fieldValue": "empty"
        },
        {
            "fieldType": "remark",
            "fieldValue": "សំលាកតូចចំ 0,៥សម ក្រោយក្រោមចុងចិញ្ចើមឆ្វេង'"
        },
        {
            "fieldType": "validity",
            "fieldValue": "empty"
        },
        {
            "fieldType": "b'id",
            "fieldValue": "empty"
        },
        {
            "fieldType": "height",
            "fieldValue": "១៧៥ ស.ម"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
For cambodia ID,  OCR for ID number, name, date of birth, gender, and validity are not available at this moment.
{% endhint %}

### Input Example

![](/files/-M5KKa0DhLPCSux8qh5b)

{% file src="/files/-M7AeUAMe49QE0Jdu0Mg" %}
OkayID Lite
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okayid-lite/ocr-non-roman-character/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
